<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:48 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GTKFixes (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GTKFixes (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GTKFixes.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../lib/ExtensionFileFilter.html" title="class in lib"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../lib/InfoDialog.html" title="class in lib"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?lib/GTKFixes.html" target="_top">Frames</a></li>
<li><a href="GTKFixes.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">lib</div>
<h2 title="Class GTKFixes" class="title">Class GTKFixes</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>lib.GTKFixes</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">GTKFixes</span>
extends java.lang.Object</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alistair Neil <info@dazzleships.net></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../lib/GTKFixes.html#GTKFixes--">GTKFixes</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/GTKFixes.html#fixJMenuPopupBorder-javax.swing.JMenu...-">fixJMenuPopupBorder</a></span>(javax.swing.JMenu...&nbsp;jms)</code>
<div class="block">Fixes incorrect JMenu border outline</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/GTKFixes.html#fixMenubarHeight-javax.swing.JMenuBar-javax.swing.JMenuItem-">fixMenubarHeight</a></span>(javax.swing.JMenuBar&nbsp;jmb,
                javax.swing.JMenuItem&nbsp;jmi)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/GTKFixes.html#fixMenuItemFgColor-javax.swing.JMenuItem...-">fixMenuItemFgColor</a></span>(javax.swing.JMenuItem...&nbsp;jmi)</code>
<div class="block">Fixes incorrect JMenu selectionForeground highlighting</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/GTKFixes.html#fixMenuSelectionColor-javax.swing.JMenu...-">fixMenuSelectionColor</a></span>(javax.swing.JMenu...&nbsp;jms)</code>
<div class="block">Fixes incorrect JMenu selectionForeground and selectionBackground
 highlighting</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/GTKFixes.html#fixTextAreaColor-javax.swing.JTextArea-">fixTextAreaColor</a></span>(javax.swing.JTextArea&nbsp;jta)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/GTKFixes.html#fixTrayMenuPopupBorder-lib.TrayPopupMenu-">fixTrayMenuPopupBorder</a></span>(<a href="../lib/TrayPopupMenu.html" title="class in lib">TrayPopupMenu</a>&nbsp;tpm)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GTKFixes--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GTKFixes</h4>
<pre>public&nbsp;GTKFixes()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="fixMenubarHeight-javax.swing.JMenuBar-javax.swing.JMenuItem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixMenubarHeight</h4>
<pre>public static&nbsp;void&nbsp;fixMenubarHeight(javax.swing.JMenuBar&nbsp;jmb,
                                    javax.swing.JMenuItem&nbsp;jmi)</pre>
</li>
</ul>
<a name="fixMenuSelectionColor-javax.swing.JMenu...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixMenuSelectionColor</h4>
<pre>public static&nbsp;void&nbsp;fixMenuSelectionColor(javax.swing.JMenu...&nbsp;jms)</pre>
<div class="block">Fixes incorrect JMenu selectionForeground and selectionBackground
 highlighting</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>jms</code> - Array of JMenus or single JMenu</dd>
</dl>
</li>
</ul>
<a name="fixJMenuPopupBorder-javax.swing.JMenu...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixJMenuPopupBorder</h4>
<pre>public static&nbsp;void&nbsp;fixJMenuPopupBorder(javax.swing.JMenu...&nbsp;jms)</pre>
<div class="block">Fixes incorrect JMenu border outline</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>jms</code> - Array of JMenus or single JMenu</dd>
</dl>
</li>
</ul>
<a name="fixTrayMenuPopupBorder-lib.TrayPopupMenu-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixTrayMenuPopupBorder</h4>
<pre>public static&nbsp;void&nbsp;fixTrayMenuPopupBorder(<a href="../lib/TrayPopupMenu.html" title="class in lib">TrayPopupMenu</a>&nbsp;tpm)</pre>
</li>
</ul>
<a name="fixMenuItemFgColor-javax.swing.JMenuItem...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixMenuItemFgColor</h4>
<pre>public static&nbsp;void&nbsp;fixMenuItemFgColor(javax.swing.JMenuItem...&nbsp;jmi)</pre>
<div class="block">Fixes incorrect JMenu selectionForeground highlighting</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>jmi</code> - Array of JMenuItems or single JMenuItem</dd>
</dl>
</li>
</ul>
<a name="fixTextAreaColor-javax.swing.JTextArea-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>fixTextAreaColor</h4>
<pre>public static&nbsp;void&nbsp;fixTextAreaColor(javax.swing.JTextArea&nbsp;jta)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GTKFixes.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../lib/ExtensionFileFilter.html" title="class in lib"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../lib/InfoDialog.html" title="class in lib"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?lib/GTKFixes.html" target="_top">Frames</a></li>
<li><a href="GTKFixes.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
